<?php
  session_start();
  ob_start();
  include_once('../php/seguranca.php');
  include_once('../php/Repositorio/BuscaUsuariosIntersolid.php');

  $consulta = new GerenciadorUsuarios();

  // Busque os dados do banco de dados
  $dados = $consulta->buscarUsuario();
?>
<!DOCTYPE html>
<html lang="pt-br" translate="yes">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <title>Control DB - Intersolid ERP </title>

  <!-- Google Font: Source Sans Pro -->
  <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700&display=fallback">
  <!-- Font Awesome -->
  <link rel="stylesheet" href="../plugins/fontawesome-free/css/all.min.css">
  <!-- DataTables -->
  <link rel="stylesheet" href="../plugins/datatables-bs4/css/dataTables.bootstrap4.min.css">
  <link rel="stylesheet" href="../plugins/datatables-responsive/css/responsive.bootstrap4.min.css">
  <link rel="stylesheet" href="../plugins/datatables-buttons/css/buttons.bootstrap4.min.css">
  <!-- Theme style -->
  <link rel="stylesheet" href="../dist/css/adminlte.min.css">

</head>
<body class="hold-transition sidebar-mini">
<div class="wrapper">
  <!-- Content Wrapper. Contains page content -->
  <div class="content">
    <!-- Main content -->
    <section class="content">
      <div class="container-fluid">
        <div class="row">
          <div class="col-12">
            <!-- /.card -->

            <div class="card">
              <!-- /.card-header -->
              <div class="card-header">
                <br>
                <h3 class="card-title">Usuários Intersolid</h3>
                <br>
                <div style="width: 300px; height: 50px;">
                    <a href = "CadastroUsuarios.php?usuario=0"><button type="button" class="btn btn-block btn-success">Incluir</button></a>
                </div>

              </div>
              <div class="card-body">
                <table id="Listagem" class="table table-bordered table-striped">
                  <thead>
                  <tr>
                    <th>Nome</th>
                    <th>Email (Acesso)</th>
                    <th>Grupo</th>
                    <th>Editar</th>
                    <th>Excluir</th>
                    <th>Resetar Senha</th>
                  </tr>
                  </thead>
                  <tbody>
                  <?php
                    foreach($dados as $dado){
                      echo '<tr>';
                      echo '<td>'.$dado['Nome'].'</td>';
                      echo '<td>'.$dado['Email'].'</td>';
                      echo '<td>'.$dado['Descricao'].'</td>';
                      echo '<td><a href="CadastroUsuarios.php?usuario='.$dado['Id'].'"><button type="button" class="btn btn-block btn-warning">Editar</button></a></td>';
                      echo '<td>
                              <form action = "../php/Repositorio/CadUsuarios.php" method="POST">
                              <input type="hidden" name="idusuario" value = "'.$dado['Id'].'">
                              <input type="hidden" name="acao" value = "excluir">
                              <button type="submit" class="btn btn-block btn-danger" onclick="confirmarExclusao('.$dado['Id'].')">Excluir</button>
                              </form>
                            </td>';
                      echo '<td>
                            <form action = "../php/Repositorio/CadUsuarios.php" method="POST">
                            <input type="hidden" name="idusuario" value = "'.$dado['Id'].'">
                            <input type="hidden" name="nome" value = "'.$dado['Nome'].'">
                            <input type="hidden" name="acao" value = "resetar">
                            <button type="submit" class="btn btn-block btn-outline-info">Resetar Senha</button>
                            </form>
                          </td>';
                    }

                  ?>
                  </tr>
                  </tbody>
                  <tfoot>
                  <tr>
                    <th>Nome</th>
                    <th>Email (Acesso)</th>
                    <th>Grupo</th>
                    <th>Editar</th>
                    <th>Excluir</th>
                    <th>Resetar Senha</th>
                  </tr>
                  </tfoot>
                </table>
              </div>
              <!-- /.card-body -->
            </div>
            <!-- /.card -->
          </div>
          <!-- /.col -->
        </div>
        <!-- /.row -->
      </div>
      <!-- /.container-fluid -->
    </section>
    <!-- /.content -->
  </div>
  <!-- /.content-wrapper -->
   <!-- Control Sidebar -->
  <!-- /.control-sidebar -->
</div>
<!-- ./wrapper -->

<!-- jQuery -->
<script src="../plugins/jquery/jquery.min.js"></script>
<!-- Bootstrap 4 -->
<script src="../plugins/bootstrap/js/bootstrap.bundle.min.js"></script>
<!-- DataTables  & Plugins -->
<script src="../plugins/datatables/jquery.dataTables.min.js"></script>
<script src="../plugins/datatables-bs4/js/dataTables.bootstrap4.min.js"></script>
<script src="../plugins/datatables-responsive/js/dataTables.responsive.min.js"></script>
<script src="../plugins/datatables-responsive/js/responsive.bootstrap4.min.js"></script>
<script src="../plugins/datatables-buttons/js/dataTables.buttons.min.js"></script>
<script src="../plugins/datatables-buttons/js/buttons.bootstrap4.min.js"></script>
<script src="../plugins/jszip/jszip.min.js"></script>
<script src="../plugins/pdfmake/pdfmake.min.js"></script>
<script src="../plugins/pdfmake/vfs_fonts.js"></script>
<script src="../plugins/datatables-buttons/js/buttons.html5.min.js"></script>
<script src="../plugins/datatables-buttons/js/buttons.print.min.js"></script>
<script src="../plugins/datatables-buttons/js/buttons.colVis.min.js"></script>
<!-- AdminLTE App -->
<script src="../dist/js/adminlte.min.js"></script>

<script>
  $(function () {
    $("#Listagem").DataTable({
      "responsive": true, "lengthChange": false, "autoWidth": false,
      "buttons": ["copy", "csv", "excel", "pdf", "print", "colvis"],
      "pageLength": 6 // Define o número de registros por página
    }).buttons().container().appendTo('#Listagem_wrapper .col-md-6:eq(0)');
  });
    function confirmarExclusao(idUsuario) {
        // Exibir modal de confirmação
        if (confirm("Tem certeza que deseja excluir este registro?")) {
            // Se o usuário confirmar, enviar o formulário de exclusão
            document.getElementById('formExcluir_' + idUsuario).submit();
        }
    }
</script>
<?php
    if (isset($_SESSION['Erro']) && !empty(trim($_SESSION['Erro']))) {

      $mensagemDeErro = $_SESSION['Erro'];
      echo '<script>';
      echo 'console.log("Mensagem de erro:", "' . $mensagemDeErro . '");';
      echo 'alert("' . $mensagemDeErro . '");';
      echo '</script>';
      // echo '<script>alert("' . $mensagemDeErro . '");</script>';
      unset($_SESSION['Erro']); // Remove a variável de sessão após exibição
    }
  ?>
</body>
</html>
