<?php

require_once 'MysqlConnector.php';
require_once '../Forms/Models/AcessosIntersolid.class.php';

class RetAPI {
    private $db;

    public function __construct() {
        // Inicializa uma nova conexão com o banco de dados
        $this->db = new MysqlConnector();
    }

    public function buscarUsuarios() {
        // Prepare a consulta SQL com um marcador de posição para o parâmetro
        $sql = "  SELECT
                    sp.Id AS idIntersolid,
                    sp.nome AS nome,
                    sp.Email,
                    sp.Deletado,
                    gd.TBCriar,
                    gd.TBAlterar,
                    gd.TBExcluir,
                    gd.TBSelect,
                    gd.TBUpdate,
                    gd.TBDelete,
                    gd.VWCriar,
                    gd.VWDelete
                  FROM supadmin sp
                  LEFT JOIN grupodetalhe gd ON gd.IdGrupo = sp.idgrupo
                  WHERE
                    sp.deletado = 'Não'
                  AND sp.IdGrupo IS NOT NULL
                  ORDER BY sp.Id";

        $link = $this->db->GetConnectionLink();

        // Prepare a declaração SQL
        $stmt = $link->prepare($sql);

        // Execute a consulta
        $stmt->execute();

        // Obtenha os resultados da consulta
        $result = $stmt->get_result();

        // Verifique se houve erros na consulta
        if (!$result) {
            // Lançar uma exceção em vez de apenas imprimir uma mensagem
            throw new Exception("Erro na consulta: " . $link->error);
        }

        // Array para armazenar os dados de usuários
        $usuarios = [];

        // Fetch os dados e crie objetos AcessoIntersolid para cada usuário
        while ($row = $result->fetch_assoc()) {
            $usuario = new AcessoIntersolid();
            $usuario->IDINTERSOLID = $row['idIntersolid'];
            $usuario->NOME = $row['nome'];
            $usuario->USUARIO = $row['Email'];
            $usuario->DELETADO = $row['Deletado'];
            $usuario->TBCREATE = $row['TBCriar'];
            $usuario->TBEDIT = $row['TBAlterar'];
            $usuario->TBDROP = $row['TBExcluir'];
            $usuario->TBSELECT = $row['TBSelect'];
            $usuario->TBUPDATE = $row['TBUpdate'];
            $usuario->TBDELETE = $row['TBDelete'];
            $usuario->VWCREATE = $row['VWCriar'];
            $usuario->VWDROP = $row['VWDelete'];

            // Adicione o objeto AcessoIntersolid ao array de usuários
            $usuarios[] = $usuario;
        }
        // Libere os resultados
        $stmt->close();

        return $usuarios;
    }
  }
?>
